Templates
name is required; subject and body (HTML or text) are optional on create (default empty strings).
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
name is required; subject and body (HTML or text) are optional on create (default empty strings).
/v1/templates{ "data": [ … ] }
curl -sS -X GET "https://api.mailofly.com/v1/templates" \
-H "Accept: application/json" \
-H "Authorization: Bearer mf_live_your_key_here"
/v1/templates{
"name": "Welcome",
"subject": "Hi there",
"body": "<p>Thanks for joining.</p>"
}
{ "data": { … } }
curl -sS -X POST "https://api.mailofly.com/v1/templates" \
-H "Accept: application/json" \
-H "Authorization: Bearer mf_live_your_key_here" \
-H "Content-Type: application/json" \
-d '{"name":"Welcome","subject":"Hi there","body":"<p>Thanks for joining.</p>"}'
/v1/templates/{id}{ "data": { … } }
curl -sS -X GET "https://api.mailofly.com/v1/templates/00000000-0000-0000-0000-000000000001" \
-H "Accept: application/json" \
-H "Authorization: Bearer mf_live_your_key_here"
/v1/templates/{id}{ "subject": "Updated" }
{ "data": { … } }
curl -sS -X PATCH "https://api.mailofly.com/v1/templates/00000000-0000-0000-0000-000000000001" \
-H "Accept: application/json" \
-H "Authorization: Bearer mf_live_your_key_here" \
-H "Content-Type: application/json" \
-d '{"subject":"Updated"}'
/v1/templates/{id}{ "ok": true }
curl -sS -X DELETE "https://api.mailofly.com/v1/templates/00000000-0000-0000-0000-000000000001" \
-H "Accept: application/json" \
-H "Authorization: Bearer mf_live_your_key_here"